#ifndef ROM_HPP
#define ROM_HPP

#include <cstddef>
#include <oh/instruction.hpp>

class ROM {
public:
  enum { SIZE = 256 };

  ROM();
  ~ROM();
  
  bool load(const char* filename);
  void reset();
  Instruction* operator[](std::size_t i);

private:

  Instruction* M_ROM[SIZE];
};

#endif // ROM_HPP
