#ifndef INSTR_TEST_HPP
#define INSTR_TEST_HPP

#include <oh/instruction.hpp>

class Test_LowerOrEqual : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

class Test_Lower : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

class Test_GreaterOrEqual : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

class Test_Greater : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

class Test_NotEqual : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

class Test_Equal : public Instruction {
public:
  virtual void execute(Memory& mem, Internals& internals);
  virtual void disasm(std::ostream&) const;
};

#endif // INSTR_TEST_HPP
